<template>
  <div id="app">
    <div id="nav">
      <nav class="navbar navbar-expand-lg navbar-light bg-black">
  <a class="navbar-brand" href="#">Welcome</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor03" aria-controls="navbarColor03" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarColor03">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a id="nav-link-0" href="/">Home<span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a id="nav-link-1" href="/Projects">Projects</a>
      </li>
      <li class="nav-item">
        <a id="nav-link-2" href="/Contact">Contact</a>
      </li>
    </ul>
    <form class="form-inline my-2 my-lg-0">
    </form>
  </div>
</nav>
    </div>
    <router-view/>
  </div>
</template>

<style lang="scss">
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #66FCF1;
}
#nav {
  padding: 10px;
  a {
    font-weight: bold;
    font-size: 21px;
    color: #68fad6;
    &.router-link-exact-active {
      color: #52d69b;
    }
  }
}
.bck {
  background-image: url('~@/assets/bck.jpg');
}
.txtbck {
  background-image: url('~@/assets/txtbck.jpg');
  padding: 2% 19% 4% 19%;
  margin-top: 2cm;
  font-family: 'Times New Roman', Times, serif;
  font-size: 20px;
  text-align: left;
}
#nav-link-1 {
font-family: Arial, Helvetica, sans-serif;
margin: 0px 10px;
}
#nav-link-2 {
font-family: Arial, Helvetica, sans-serif;
margin: 0px 10px
}
#nav-link-0 {
font-family:Arial, Helvetica, sans-serif;
margin: 0px 10px 0px 10px
}
</style>
